#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC4,0x9D,0x54,0xA1,0x00,0xFF,0x68,0xCD,0xF8,0x0A,0xA3,0x11,
		0xC0,0xDE,0x5E,0xC5,0x9E,0x9F,0x53,0x5A,0x5E,0x38,0xDB,0x9B,
		0xED,0xE5,0x17,0xEE,0xAD,0x01,0xC7,0x07,0xD6,0xB0,0x24,0xAB,
		0xD2,0xDE,0xDC,0x4C,0x14,0xA7,0x83,0x91,0xDA,0x0D,0x9C,0x1C,
		0x3F,0x89,0xF4,0x8E,0x6A,0x17,0x94,0x1A,0x69,0x3A,0x37,0xF7,
		0x76,0xD5,0xBC,0x0B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
